Page MenuHomePhabricator

[lldb] [Process/elf-core] Support aarch64 NetBSD core dumps
ClosedPublic

Authored by mgorny on Mar 30 2019, 2:04 PM.

Details

Summary

Include support for NetBSD core dumps from evbarm/aarch64 system,
and matching test cases for them.

Based on earlier work by Kamil Rytarowski.

Diff Detail

Repository
rLLDB LLDB

Event Timeline

mgorny created this revision.Mar 30 2019, 2:04 PM
Herald added a project: Restricted Project. · View Herald TranscriptMar 30 2019, 2:04 PM
krytarowski accepted this revision.Mar 31 2019, 5:07 AM
krytarowski added inline comments.
lldb/source/Plugins/Process/elf-core/ProcessElfCore.cpp
657 ↗(On Diff #192990)

I would move it above x86_64 for sorting reasons.

This revision is now accepted and ready to land.Mar 31 2019, 5:07 AM
krytarowski added inline comments.Mar 31 2019, 5:09 AM
lldb/packages/Python/lldbsuite/test/functionalities/postmortem/netbsd-core/TestNetBSDCore.py
236 ↗(On Diff #192990)

I would move it above X86.

mgorny updated this revision to Diff 193020.Mar 31 2019, 10:03 AM

Reordered as requested.

labath accepted this revision.Apr 1 2019, 1:06 AM
This revision was automatically updated to reflect the committed changes.